2007-01-11 20:26  tag TableMatrix_1_23

2007-01-11 20:26  A0182636

	* Makefile.PL, pTk/Makefile.PL: Preparation for next release.

2007-01-09 14:00  cerney

	* Changes, TableMatrix.pm, TableMatrix/Spreadsheet.pm,
	TableMatrix/SpreadsheetHideRows.pm: Preparation for next release

2007-01-09 13:51  cerney

	* demos/TableMatrixSpreadsheetTest: Updated to be consistent with
	latest changes in the resizeborders behavoir

2007-01-09 13:50  cerney

	* TableMatrix/Spreadsheet.pm: Removed extra code that would print
	"location" when F2 was pressed. (This was debugging code that
	should have been removed earlier)

2007-01-09 13:46  cerney

	* TableMatrix/Spreadsheet.pm: Corrected behavoir that wasn't very
	spreadsheet-like. Now you can only resize row/cols thru the title
	row/cols. The previous behavoir created problems, because when a
	user would drag to selected several cells, sometimes the row or col
	would resize as well.

2006-03-24 13:12  tag TableMatrix_1_22

2006-03-24 13:12  cerney

	* Changes, Makefile.PL, TableMatrix.pm, TableMatrix/Spreadsheet.pm,
	TableMatrix/SpreadsheetHideRows.pm, pTk/Makefile.PL: Preparation
	for next release.

2006-03-11 11:14  cerney

	* TableMatrix/SpreadsheetHideRows.pm: Updated SpreadsheetHideRows
	to work properly when the table state is set to "disabled".

2006-03-09 16:05  cerney

	* TableMatrix/SpreadsheetHideRows.pm: Tweaked the anchor setting on
	the HideRows indicator (i.e the plus/minus thing) to be 'center'.
	This will keep any detail-level tags from over-riding if the detail
	tags have lower priority (e.g. using the tagLower method on them).

2006-03-09 15:52  cerney

	* TableMatrix/SpreadsheetHideRows.pm, demos/SpreadsheetHideRows:
	Fixed bug in SpreadSheetHideRows where spans weren't being properly
	applied when detail was hidden/showed. Added more spans to demo as
	a check for this condition.

2006-03-05 14:57  tag TableMatrix_1_21

2006-03-05 14:57  cerney

	* Changes, Makefile.PL, TableMatrix.pm, TableMatrix/Spreadsheet.pm,
	TableMatrix/SpreadsheetHideRows.pm, pTk/Makefile.PL: Preparation
	for next release.

2006-03-05 12:44  cerney

	* TableMatrix/Spreadsheet.pm: Updates to make the new row/col
	resize work on linux.

2006-03-05 12:35  A0182636

	* TableMatrix/Spreadsheet.pm: Updated to make the row/size resize
	operation (that happens when you drag the row/col borders) apply to
	every row or column that is currently selected, instead of just the
	row/col border that was dragged.

2005-01-26 16:29  tag TableMatrix_1_2

2005-01-26 16:29  cerney

	* TableMatrix.pm: Preparation for next release.

2005-01-26 12:12  cerney

	* Changes, Makefile.PL, TableMatrix/Spreadsheet.pm,
	TableMatrix/SpreadsheetHideRows.pm, pTk/Makefile.PL: Preparation
	for next release.

2005-01-26 09:27  A0182636

	* pTk/mTk/: Tktable/tkTable.c, Tktable800/tkTable.c: Updated to
	remove extraneous? Tcl_free that was causing crashes on win32 with
	perl5.8.4. This Tcl_Free is not used like this to free args to
	Tcl_ListObjGetElement anywhere else I can find examples in the
	TableMatrix and Tk source code, so it appears to be truly not
	needed.

2004-06-14 08:26  cerney

	* t/create.t: Incorporate Patch from Ed Avis to skip some tests if
	there is no DISPLAY environment set. This helps with automated
	build/tests on systems with no display.

2004-04-23 08:40  cerney

	* TableMatrix/Spreadsheet.pm: Fixed the row/col insert/deletes to
	work more reliably.

2004-04-06 11:41  cerney

	* TableMatrix.xs: Patch from Nick Ing-Simmons to correct max/min
	macro redefine warning messages when compiling.

2004-02-23 07:43  tag TableMatrix_1_1

2004-02-23 07:43  cerney

	* TableMatrix.xs: Mods to work on win32 with Tk804 ( Originally
	commited in remote repository by A0182636 on Sun Feb 22 19:10:28
	2004 )

2004-02-13 15:27  cerney

	* Changes, Makefile.PL, TableMatrix.pm, TableMatrix/Spreadsheet.pm,
	TableMatrix/SpreadsheetHideRows.pm, pTk/Makefile.PL: Preparation
	for next release.

2004-02-07 21:09  cerney

	* Makefile.PL, TableMatrix.xs, myConfig, demos/spreadsheet,
	pTk/Makefile.PL, pTk/mTk/README, pTk/mTk/Tktable/tkTable.c,
	pTk/mTk/Tktable/tkTable.h, pTk/mTk/Tktable/tkTableCell.c,
	pTk/mTk/Tktable/tkTableCellSort.c, pTk/mTk/Tktable/tkTableCmds.c,
	pTk/mTk/Tktable/tkTableEdit.c, pTk/mTk/Tktable/tkTableTag.c,
	pTk/mTk/Tktable/tkTableUtil.c, pTk/mTk/Tktable/tkTableWin.c,
	pTk/mTk/Tktable800/Makefile.in, pTk/mTk/Tktable800/confdefs.h,
	pTk/mTk/Tktable800/config.cache, pTk/mTk/Tktable800/config.log,
	pTk/mTk/Tktable800/configure, pTk/mTk/Tktable800/configure.in,
	pTk/mTk/Tktable800/mac_tkTable.mcp,
	pTk/mTk/Tktable800/mac_tkTable.r,
	pTk/mTk/Tktable800/mac_tkTable_prefix.h,
	pTk/mTk/Tktable800/makefile.vc, pTk/mTk/Tktable800/mm.h,
	pTk/mTk/Tktable800/pTk.exc, pTk/mTk/Tktable800/tkAppInit.c,
	pTk/mTk/Tktable800/tkTable.c, pTk/mTk/Tktable800/tkTable.h,
	pTk/mTk/Tktable800/tkTableCell.c,
	pTk/mTk/Tktable800/tkTableCellSort.c,
	pTk/mTk/Tktable800/tkTableCmds.c, pTk/mTk/Tktable800/tkTableEdit.c,
	pTk/mTk/Tktable800/tkTableInitScript.h,
	pTk/mTk/Tktable800/tkTablePs.c, pTk/mTk/Tktable800/tkTableTag.c,
	pTk/mTk/Tktable800/tkTableUtil.c, pTk/mTk/Tktable800/tkTableWin.c,
	pTk/mTk/Tktable800/tkTableversion.h, pTk/mTk/Tktable800/version.h:
	Merged Changes on Tk804update branch onto main branch.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkTable.h: file tkTable.h was initially added
	on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkTableCell.c: file tkTableCell.c was
	initially added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkTableCellSort.c: file tkTableCellSort.c was
	initially added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkTableCmds.c: file tkTableCmds.c was
	initially added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkTableEdit.c: file tkTableEdit.c was
	initially added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkTableInitScript.h: file tkTableInitScript.h
	was initially added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkTablePs.c: file tkTablePs.c was initially
	added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkTableTag.c: file tkTableTag.c was initially
	added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkTableUtil.c: file tkTableUtil.c was
	initially added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkTableWin.c: file tkTableWin.c was initially
	added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkTableversion.h: file tkTableversion.h was
	initially added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/version.h: file version.h was initially added
	on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/Makefile.in: file Makefile.in was initially
	added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/confdefs.h: file confdefs.h was initially
	added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/config.cache: file config.cache was initially
	added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/config.log: file config.log was initially
	added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/configure: file configure was initially added
	on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/configure.in: file configure.in was initially
	added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/mac_tkTable.mcp: file mac_tkTable.mcp was
	initially added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/mac_tkTable.r: file mac_tkTable.r was
	initially added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/mac_tkTable_prefix.h: file
	mac_tkTable_prefix.h was initially added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/makefile.vc: file makefile.vc was initially
	added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/mm.h: file mm.h was initially added on branch
	Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/pTk.exc: file pTk.exc was initially added on
	branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkAppInit.c: file tkAppInit.c was initially
	added on branch Tk804update.

2004-02-07 18:36  cerney

	* pTk/mTk/Tktable800/tkTable.c: file tkTable.c was initially added
	on branch Tk804update.

2004-02-07 18:36  cerney

	* Makefile.PL, TableMatrix.xs, myConfig, pTk/Makefile.PL,
	pTk/mTk/README, pTk/mTk/Tktable800/Makefile.in,
	pTk/mTk/Tktable800/confdefs.h, pTk/mTk/Tktable800/config.cache,
	pTk/mTk/Tktable800/config.log, pTk/mTk/Tktable800/configure,
	pTk/mTk/Tktable800/configure.in,
	pTk/mTk/Tktable800/mac_tkTable.mcp,
	pTk/mTk/Tktable800/mac_tkTable.r,
	pTk/mTk/Tktable800/mac_tkTable_prefix.h,
	pTk/mTk/Tktable800/makefile.vc, pTk/mTk/Tktable800/mm.h,
	pTk/mTk/Tktable800/pTk.exc, pTk/mTk/Tktable800/tkAppInit.c,
	pTk/mTk/Tktable800/tkTable.c, pTk/mTk/Tktable800/tkTable.h,
	pTk/mTk/Tktable800/tkTableCell.c,
	pTk/mTk/Tktable800/tkTableCellSort.c,
	pTk/mTk/Tktable800/tkTableCmds.c, pTk/mTk/Tktable800/tkTableEdit.c,
	pTk/mTk/Tktable800/tkTableInitScript.h,
	pTk/mTk/Tktable800/tkTablePs.c, pTk/mTk/Tktable800/tkTableTag.c,
	pTk/mTk/Tktable800/tkTableUtil.c, pTk/mTk/Tktable800/tkTableWin.c,
	pTk/mTk/Tktable800/tkTableversion.h, pTk/mTk/Tktable800/version.h:
	Updated to make compatible with a Tk800.0xx build or a build using
	Tk804

2004-02-06 19:54  cerney

	* TableMatrix.xs, demos/spreadsheet, pTk/mTk/Tktable/tkTable.c,
	pTk/mTk/Tktable/tkTable.h, pTk/mTk/Tktable/tkTableCell.c,
	pTk/mTk/Tktable/tkTableCellSort.c, pTk/mTk/Tktable/tkTableCmds.c,
	pTk/mTk/Tktable/tkTableEdit.c, pTk/mTk/Tktable/tkTableTag.c,
	pTk/mTk/Tktable/tkTableUtil.c, pTk/mTk/Tktable/tkTableWin.c:
	Updates to compile with Tk804. Still need to resolve how to retain
	compatibility with tk800.

2003-12-05 16:24  cerney

	* TableMatrix/SpreadsheetHideRows.pm, demos/SpreadsheetHideRows:
	Updated SpreadsheetHideRows to properly hide detail of lower level
	details when a top-level detail is hidden. Modified demo to include
	this case.

2003-11-20 11:22  cerney

	* TableMatrix/Spreadsheet.pm: Doco fix.

2003-09-23 06:53  cerney

	* demos/edit_styles.pl: Added comments. Should have been added in
	jan 2003.

2003-01-24 07:14  cerney

	* Makefile.PL: Removed libpt from the list of libraries to look
	for, to be consistent with Tk800.024

2003-01-07 15:10  cerney

	* demos/embeddedWindows.pl: Initial Checkin

2003-01-07 11:51  cerney

	* demos/edit_styles.pl: Submitted demo from Eric Waldheim

2002-12-06 08:08  tag TableMatrix_1_01

2002-12-06 08:08  cerney

	* Changes, Makefile.PL, TableMatrix.pm, TableMatrix/Spreadsheet.pm,
	TableMatrix/SpreadsheetHideRows.pm, pTk/Makefile.PL: Prep for next
	release.

2002-12-03 13:48  cerney

	* pTk/mTk/Tktable/tkTable.c: Fixed Error where the rowHeight method
	was getting executed like a colWidth. This was introduced in the
	update of TkTable 2.5 to 2.6

2002-12-02 09:44  tag TableMatrix_1_0

2002-12-02 09:44  cerney

	* Changes, Makefile.PL, TableMatrix.pm, TableMatrix/Spreadsheet.pm,
	TableMatrix/SpreadsheetHideRows.pm, pTk/Makefile.PL, README:
	Preparation for next release.

2002-11-22 08:23  cerney

	* TableMatrix.pm: Completed Changes to TableMatrix.pm for the
	upgrade to Tktkable 2.8

2002-11-22 08:18  cerney

	* demos/spreadsheet: Modified to work again. (Didn't work because
	of update to perl5.6???)

2002-11-18 09:59  cerney

	* pod/TableMatrix.pod: Docs updated for changes to TkTable 2.7 to
	2.8

2002-11-15 16:19  cerney

	* pTk/mTk/Tktable/: tkTable.h, tkTableTag.c, tkTableWin.c: Compiles
	with warnings on solaris.

2002-11-15 15:19  cerney

	* pTk/mTk/Tktable/: tkTable.c, tkTable.h, tkTableCell.c,
	tkTableCellSort.c, tkTableCmds.c, tkTableEdit.c,
	tkTableInitScript.h, tkTableTag.c, tkTableUtil.c, tkTableWin.c,
	version.h: Merged Changed from Stock version 2.7 to 2.8. Conflicts
	resolved, Not Tested Yet.

2002-11-08 11:52  tag stock-tktable2_8

2002-11-08 11:52  cerney

	* pTk/mTk/Tktable/: tkTable.c, tkTable.h, tkTableCell.c,
	tkTableCellSort.c, tkTableCmds.c, tkTableEdit.c,
	tkTableInitScript.h, tkTableTag.c, tkTableUtil.c, tkTableWin.c,
	version.h: tkTable2.8 Source update

2002-11-01 15:38  cerney

	* pTk/mTk/Tktable/: tkTable.c, tkTableTag.c: Mods to compile and
	run on linux.

2002-11-01 14:42  cerney

	* TableMatrix.pm, demos/tagBorderWidth, demos/tagMerge2,
	pTk/mTk/Tktable/tkTable.h, pTk/mTk/Tktable/tkTableTag.c,
	pTk/mTk/Tktable/tkTableversion.h: Updates for changes in the
	Version 2.7 tktable now fully functional on unix. Not tested on
	win32 yet.

2002-11-01 13:34  cerney

	* TableMatrix.pm: Updated for changes in the Version 2.7
	tktable.tcl file

2002-11-01 12:58  cerney

	* pod/TableMatrix.pod: Updated for the doc changes from tktable 2.6
	to 2.7

2002-11-01 10:48  cerney

	* pTk/mTk/Tktable/tkTable.c: Version 2.7 merges now are functional.

2002-11-01 10:08  cerney

	* pTk/mTk/Tktable/: pTk.exc, tkTable.c, tkTable.h, tkTableCell.c,
	tkTableCmds.c, tkTableTag.c, tkTableUtil.c: Now Compiles
	successfully with tktable2.8 changes, but core dumps when running.

2002-10-30 11:06  cerney

	* pTk/mTk/Tktable/cmd.c: Removed. Not Include in tktable 2.7
	anymore.

2002-10-30 09:50  cerney

	* pTk/mTk/Tktable/: mac_tkTable.r, mac_tkTable_prefix.h, tkTable.c,
	tkTable.h, tkTableCell.c, tkTableCmds.c, tkTableEdit.c,
	tkTableTag.c, tkTableUtil.c, tkTableWin.c, version.h: Stock tktable
	changes from 2.6 to 2.7 merged with main branch. Conflicts
	Resolved. Compilation not tested yet.

2002-10-29 15:52  cerney

	* pTk/mTk/Tktable/tkTableUtil.c: file tkTableUtil.c was initially
	added on branch stock-tktable.

2002-10-29 15:52  cerney

	* pTk/mTk/Tktable/version.h: file version.h was initially added on
	branch stock-tktable.

2002-10-29 15:52  tag stock-tktable2_7

2002-10-29 15:52  cerney

	* pTk/mTk/Tktable/: mac_tkTable.r, mac_tkTable_prefix.h, tkTable.c,
	tkTable.h, tkTableCell.c, tkTableCmds.c, tkTableEdit.c,
	tkTableTag.c, tkTableUtil.c, tkTableWin.c, version.h: tktable2.7
	Source update

2002-09-25 07:08  cerney

	* COPYING: Updated to be match reality.

2002-05-22 15:53  tag TableMatrix_0_9

2002-05-22 15:53  cerney

	* Changes, Makefile.PL, TableMatrix.pm, TableMatrix/Spreadsheet.pm,
	TableMatrix/SpreadsheetHideRows.pm, pTk/Makefile.PL: Preparation
	for next release

2002-04-11 15:17  cerney

	* demos/tagMerge, pTk/mTk/Tktable/tkTableTag.c: Mods to make tag
	merging work correctly when an option is also set in the option
	database. Also added test case tagMerge.

2002-04-09 12:07  cerney

	* pod/TableMatrix.pod: Added some clarification on how tags are
	merged

2002-03-18 11:01  cerney

	* t/create.t: Updated to include the new SpreadsheetHideRows
	widget.

2002-03-18 11:00  cerney

	* TableMatrix/SpreadsheetHideRows.pm, demos/SpreadsheetHideRows:
	Added new derived SpreadsheetHideRows widget. This enables display
	of tabular info, with selectable hide/unhide of detail data.

2002-02-28 08:23  cerney

	* pTk/mTk/Tktable/: tkTableCellSort.c, tkTableCmds.c: Removed
	Tcl_ArgResult Call from the code, since its use now gets a warning
	message under Tk800.023. Had to create a TableCellSortObj routine
	(equivalent to the existing TableCellSort routine) to accomodate
	this change.

2002-02-13 07:00  cerney

	* TableMatrix.pm: Fixed bug where selecting multiple times in title
	area created an error. (Submitted by Christian Becker)

2002-01-10 08:23  cerney

	* pTk/mTk/Tktable/tkTableCell.c: Updated to fix problem seen with
	inserting rows when tablecmd is active. Previously, the 'value' arg
	would get lost when being passed to the callback (garbace
	collection problem). Changing the call from char* to Arg appears to
	fix the problem.

2001-10-04 07:00  tag TableMatrix_0_8

2001-10-04 07:00  cerney

	* Changes, Makefile.PL, TableMatrix.pm, TableMatrix/Spreadsheet.pm,
	pTk/Makefile.PL: Preparation for the next release.

2001-10-02 12:55  cerney

	* TableMatrix.pm: Fixed bug where dragging the cursor outside of
	the window (when selecting some cells) would cause the selection to
	go nuts.

2001-07-09 14:59  cerney

	* pTk/mTk/Tktable/tkTable.c: Modified to redraw the entire window
	when on a expose event. The widget didn't not appear to
	update/refresh properly when updating what it thought was the
	invalid rectangle.

2001-06-15 15:19  tag TableMatrix_0_71

2001-06-15 15:19  cerney

	* Changes, Makefile.PL, TableMatrix.pm, TableMatrix/Spreadsheet.pm,
	pTk/Makefile.PL: Makeready for release 0.71

2001-06-15 15:04  cerney

	* Makefile.PL, pTk/Makefile.PL, pTk/mTk/Tktable/tkTable.c: Fixed to
	compile with Tk800.022 and Tk800.023

2001-06-12 18:11  cerney

	* pTk/mTk/Tktable/: tkTable.c, tkTablePs.c: Updated to work with
	Tk800.023

2001-06-06 15:57  tag TableMatrix_0_7

2001-06-06 15:57  cerney

	* Changes: Initial Checkin

2001-06-06 15:56  cerney

	* TableMatrix/Spreadsheet.pm: Added version to Spreadsheet.pm in
	preparation for release.

2001-06-06 11:58  cerney

	* TableMatrix.pm, Makefile.PL: Updated version in preparation for
	release.

2001-06-06 11:43  cerney

	* pTk/mTk/Tktable/: tkTableCell.c, tkTableCellSort.c,
	tkTableCmds.c, tkTableWin.c: Reverted back to the cell sorting
	method implemented in tktable 2.5 (and TableMatrix 0.3).  The new
	cell sorting method didn't sort negative row/column indexes
	correctly, which caused the data from a copy/paste operation to be
	out-of-order, if the selection included multiple negative row/col
	indexes.

2001-06-05 12:12  cerney

	* TableMatrix/Spreadsheet.pm, demos/TableMatrixSpreadsheetTest,
	t/create.t: Added TableMatrix::Spreadsheet. TableMatrix Derived
	object with excel-like bindings

2001-06-01 06:43  cerney

	* TableMatrix.pm: Applied Slaven's patch to fix the control-+/-
	bindings for modifying the column width.

2000-12-24 13:01  cerney

	* pTk/: Makefile.PL, mTk/Tktable/tkTable.c: Fixed Version in
	pTk/Makefile.PL Removed the hard-coded forceupdate=1 in tkTable.c
	to reduce the flashing seen when updating the cursor. This may have
	other side effects... needs to be watched.

2000-12-20 07:38  cerney

	* Makefile.PL: Fixed Typo

2000-12-01 07:34  tag TableMatrix_0_5

2000-12-01 07:34  cerney

	* README: Fixed version called out in the file

2000-12-01 07:19  cerney

	* Makefile.PL: Fixed Version

2000-12-01 06:55  cerney

	* README, TableMatrix.pm: Changes before releasing version 0.5

2000-10-31 21:40  cerney

	* pTk/mTk/Tktable/tkTable.c: Modified to keep the selection around
	for incremental selection gets. This helps speed up getting the
	selection, esp for large area selects.
	
	Added setting the cursor to 'watch' when getting the selection. For
	large selection areas this can take some time, so setting the
	cursor to watch will at least notify the user that something is
	happening.

2000-10-26 16:14  cerney

	* pTk/mTk/Tktable/tkTableCellSort.c: Fixed the sorting routine to
	work with perl/tk

2000-10-26 11:41  cerney

	* pTk/mTk/Tktable/: tkTable.h, tkTableCellSort.c: Changed from
	tktable 2.6 are now incorporated and are fully functional! This
	looked like a very complicated job, but CVS branch management
	features made it easy.

2000-10-26 09:49  cerney

	* pTk/mTk/Tktable/: tkTable.c, tkTable.h, tkTableCell.c,
	tkTableCellSort.c, tkTableCmds.c, tkTableEdit.c,
	tkTableInitScript.h, tkTableTag.c, tkTableWin.c, tkTableversion.h:
	Merged Changes from tcl/tk's tktable2.5 to tktable2.6 from the
	stock-tktable branch.  Resolved conflicts.  Not functional yet.

2000-10-26 07:48  cerney

	* pTk/mTk/Tktable/tkTableCellSort.c: file tkTableCellSort.c was
	initially added on branch stock-tktable.

2000-10-26 07:48  tag stock-tktable2_6

2000-10-26 07:48  cerney

	* pTk/mTk/Tktable/: tkTable.c, tkTable.h, tkTableCell.c,
	tkTableCellSort.c, tkTableCmds.c, tkTableEdit.c,
	tkTableInitScript.h, tkTableTag.c, tkTableWin.c, tkTableversion.h:
	tktable2.6 Source update

2000-09-16 15:29  tag TableMatrix_0_3

2000-09-16 15:29  cerney

	* README, myConfig: Final updates before release

2000-09-13 11:30  cerney

	* pTk/Makefile.PL: Removed tkres section. W32 resources not needed.

2000-08-23 16:44  cerney

	* t/create.t: Modified for new name 'TableMatrix'

2000-08-23 16:39  cerney

	* pod/: TableMatrix.pod, tkTable.pod: Changes to make the name
	TableMatrix

2000-08-23 16:36  cerney

	* demos/: TableMatrixTest, basic, buttons, command, debug,
	dynarows, maxsize, spreadsheet, tktableTest: Changes for the new
	name 'TableMatrix'

2000-08-23 16:27  cerney

	* Makefile.PL, README, TableMatrix.pm, TableMatrix.xs,
	demos/tktableTest: Initial Changes for moving name from tktable to
	TableMatrix

2000-08-20 20:44  cerney

	* pTk/mTk/Tktable/tkTablePs.c: Fixed Compile warnings in
	tkTablePs.c

2000-08-19 11:19  cerney

	* README, pTk/mTk/Tktable/tkTablePs.c, t/create.t: Updated Readme. 
	Added Test file in 't' directory.

2000-08-17 21:16  cerney

	* README, TableMatrix.xs, pTk/mTk/Tktable/tkTable.h,
	pTk/mTk/Tktable/tkTableCell.c, pTk/mTk/Tktable/tkTablePs.c: Added
	own routine to unset variable in the array hash (TCL_Unsetvar2
	function)

2000-08-17 09:18  cerney

	* TableMatrix.pm: Modified to perform edit->cut properly

2000-08-14 21:07  cerney

	* pod/tkTable.pod: Doco Fix

2000-08-14 16:35  cerney

	* Makefile.PL, pTk/mTk/Tktable/tkTable.c,
	pTk/mTk/Tktable/tkTableCell.c, pTk/mTk/Tktable/tkTableTag.c,
	pTk/mTk/Tktable/tkTableWin.c: Incorporated Changes made while
	compiling under Win98 mingw32.

2000-07-25 15:48  cerney

	* demos/spreadsheet: Added spreadsheet demo

2000-07-24 15:54  cerney

	* demos/maxsize: Added maxsize demo script.

2000-07-24 06:52  cerney

	* demos/dynarows: Minor tweak.

2000-07-23 20:49  cerney

	* demos/basic, demos/command, demos/dynarows, demos/tktableTest,
	pTk/mTk/Tktable/tkTableCmds.c, pTk/mTk/Tktable/tkTableTag.c,
	pod/tkTable.pod: Got dynarows demo working

2000-07-22 21:28  cerney

	* demos/: command, debug: Misc Fixes

2000-07-22 17:16  cerney

	* demos/dynarows: initial revision

2000-07-21 16:28  cerney

	* pod/tkTable.pod: dynarows not working yet

2000-07-21 15:29  cerney

	* demos/debug: Added the debug demo

2000-07-21 14:37  cerney

	* demos/command, pTk/mTk/Tktable/perlPort.pod,
	pTk/mTk/Tktable/tkTable.c, pTk/mTk/Tktable/tkTableCell.c,
	pTk/mTk/Tktable/tkTableCmds.c, pod/tkTable.pod: Got the command
	demo working.

2000-07-20 21:28  cerney

	* demos/buttons: Changed Leave event to Focus out event. Leave
	caused the buttons to not work on Linux.

2000-07-20 14:11  cerney

	* demos/basic, demos/buttons, pTk/mTk/Tktable/tkTableCell.c,
	pTk/mTk/Tktable/tkTableCmds.c: Got buttons demo working.

2000-07-19 21:25  cerney

	* pTk/mTk/Tktable/: perlPort.pod, tkTableTag.c: Modified so the Tag
	calbacks would work.

2000-07-19 16:41  cerney

	* demos/basic: Fixed Col Width

2000-07-06 08:17  cerney

	* TableMatrix.pm, demos/basic, pTk/mTk/Tktable/tkTable.c,
	pTk/mTk/Tktable/tkTable.h, pTk/mTk/Tktable/tkTableCmds.c,
	pod/tkTable.pod: * Started Adding the converted tcl demos * Changed
	the width and heigth methods to colWidth and rowHeight

2000-07-05 07:18  cerney

	* pTk/mTk/Tktable/tkTableTag.c: Changed Tcl_NewBooleanObj to
	Tcl_NewIntObj. Tcl_NewBooleanObj didn't appear to be defined in the
	Lang.h interface.

2000-07-05 07:17  cerney

	* demos/tktableTest: Added demos directory

2000-07-04 18:33  cerney

	* pod/tkTable.pod: Added converted pod documentation file.

2000-07-02 20:15  cerney

	* Makefile.PL, pTk/mTk/Tktable/tkTable.h: Changed version.h to
	tktableversion.h

2000-07-02 19:32  cerney

	* Makefile.PL, myConfig, pTk/Makefile.PL: Successfull compilation
	after removing unnecesaary files.

2000-07-02 10:59  cerney

	* TableMatrix.pm, TableMatrix.xs, pTk/mTk/Tktable/tkTable.c: Fixed
	Problem with autoscanning.

2000-07-01 22:57  cerney

	* Makefile.PL, TableMatrix.pm, TableMatrix.xs, tkGlue.h,
	pTk/Makefile.PL, pTk/mTk/Tktable/tkTable.c, pod/Makefile.PL:
	Initial Success at compilation and demo run after splitting-off
	from Tk

2000-06-30 16:33  cerney

	* Makefile.PL, myConfig: Added necessary Files. Minor Mods to try
	to compile separate from Tk

2000-06-30 15:34  cerney

	* TableMatrix.pm, pTk/mTk/Tktable/tkTable.c: All Bindings appear to
	work. Check before splitting off into separate module

2000-06-30 14:04  cerney

	* TableMatrix.pm: Removed the tkTable prefix from subs.

2000-06-29 21:48  cerney

	* pTk/mTk/Tktable/tkTable.c, TableMatrix.pm: Removed referencing to
	XSetClipRectangles

2000-06-29 16:32  cerney

	* pTk/mTk/Tktable/perlPort.pod, pTk/mTk/Tktable/tkTable.c,
	pTk/mTk/Tktable/tkTable.h, pTk/mTk/Tktable/tkTableCell.c,
	pTk/mTk/Tktable/tkTableCmds.c, TableMatrix.pm: Now Functional, Some
	Bugs

2000-06-28 21:30  cerney

	* pTk/mTk/Tktable/: tkTable.c, tkTableCell.c: Tweaked files

2000-06-28 16:38  cerney

	* pTk/mTk/Tktable/perlPort.pod, pTk/mTk/Tktable/tkTable.c,
	pTk/mTk/Tktable/tkTableCell.c, pTk/mTk/Tktable/tkTablePs.c,
	pTk/mTk/Tktable/tkTableTag.c, TableMatrix.pm: Now Displays Table
	but some segfaults

2000-06-28 13:19  cerney

	* pTk/mTk/Tktable/: perlPort.pod, tkTable.c: Mods to Tk_TableObjCmd
	to be compatible with perltk

2000-06-28 06:52  cerney

	* TableMatrix.pm, TableMatrix.xs: Minor change to all lower case
	for the Tk_cmd

2000-06-27 21:24  cerney

	* TableMatrix.xs: Minor Mods

2000-06-27 16:33  cerney

	* pTk/mTk/Tktable/: cmd.c, tkTable.c: Latest Updates

2000-06-27 14:04  cerney

	* pTk/mTk/Tktable/tkTable.c, pTk/mTk/Tktable/tkTable.h,
	TableMatrix.pm, TableMatrix.xs: Intermediate check-in while trying
	to get tkTable.so to autoload

2000-06-27 09:11  cerney

	* myConfig, pTk/mTk/Tktable/tkTableTag.c, TableMatrix.pm,
	TableMatrix.xs: Added tkTable.pm and associated files (translated
	from tkTable.tcl) Minor mods for compilation.

2000-06-23 17:43  cerney

	* myConfig, pTk/mTk/Tktable/cmd.c, pTk/mTk/Tktable/mm.h,
	pTk/mTk/Tktable/tkTable.h, pTk/mTk/Tktable/tkTableCell.c,
	pTk/mTk/Tktable/tkTableCmds.c, pTk/mTk/Tktable/tkTablePs.c,
	pTk/mTk/Tktable/tkTableTag.c, pTk/mTk/Tktable/tkTableWin.c: 1st
	sucessfull compile.

2000-06-22 21:43  cerney

	* pTk/mTk/Tktable/: perlPort.pod, tkTable.c, tkTable.h: Almost got
	tktable.c to compile.

2000-06-22 16:34  cerney

	* pTk/mTk/Tktable/: cmd.c, mm.h, perlPort.pod, tkTable.c,
	tkTable.h: Daily Snapshot of work. Currently working to sort out
	the calling of expandpercents in tktable.c

2000-06-21 21:40  cerney

	* pTk/mTk/Tktable/: cmd.c, mm.h, tkTable.c: Started modifying char*
	to Args in cmd structure routines.

2000-06-21 16:35  cerney

	* pTk/: Makefile.PL, mTk/Tktable/pTk.exc, mTk/Tktable/perlPort.pod,
	mTk/Tktable/tkTable.c, mTk/Tktable/tkTable.h,
	mTk/Tktable/tkTableCell.c, mTk/Tktable/tkTableCmds.c,
	mTk/Tktable/tkTableEdit.c, mTk/Tktable/tkTablePs.c,
	mTk/Tktable/tkTableTag.c, mTk/Tktable/tkTableWin.c: Initial Try at
	getting tktable to compile

2000-06-21 07:36  tag stock-tktable2_5

2000-06-21 07:36  cerney

	* pTk/mTk/Tktable/pTk.exc: pTk exclude file

2000-06-21 07:36  cerney

	* pTk/mTk/Tktable/: Makefile.in, cmd.c, confdefs.h, config.cache,
	config.log, configure, configure.in, mac_tkTable.mcp,
	mac_tkTable.r, mac_tkTable_prefix.h, makefile.vc, mm.h,
	perlPort.pod, tkAppInit.c, tkTable.c, tkTable.h, tkTableCell.c,
	tkTableCmds.c, tkTableEdit.c, tkTableInitScript.h, tkTablePs.c,
	tkTableTag.c, tkTableWin.c, tkTableversion.h: Stock Tktable source
	upload

2000-06-20 18:55  tag Tk_800_022

2000-06-20 18:55  cerney

	* COPYING, Makefile.PL, README, debug, debug.bat, myConfig,
	tkGlue.h, pTk/Makefile.PL, pTk/Tcl-pTk, pTk/chext, pTk/counts,
	pTk/defs, pTk/fakeld, pTk/findX, pTk/findcore, pTk/findstrings,
	pTk/from, pTk/genexc, pTk/license.html_lib, pTk/license.terms,
	pTk/makeenglish, pTk/mkXinfo, pTk/mkmethods, pTk/mkneed, pTk/p4e,
	pTk/process_object, pTk/refs, pTk/tdiff, pTk/why, pTk/mTk/README,
	pTk/mTk/license.terms: Initial revision

2000-06-20 18:55  cerney

	* COPYING, Makefile.PL, README, debug, debug.bat, myConfig,
	tkGlue.h, pTk/Makefile.PL, pTk/Tcl-pTk, pTk/chext, pTk/counts,
	pTk/defs, pTk/fakeld, pTk/findX, pTk/findcore, pTk/findstrings,
	pTk/from, pTk/genexc, pTk/license.html_lib, pTk/license.terms,
	pTk/makeenglish, pTk/mkXinfo, pTk/mkmethods, pTk/mkneed, pTk/p4e,
	pTk/process_object, pTk/refs, pTk/tdiff, pTk/why, pTk/mTk/README,
	pTk/mTk/license.terms: Tk Stock 800.022

